import request from '@/utils/request'

// 查询用户智能志愿报告列表
export function listMemberReportIntelligence(query) {
  return request({
    url: '/mall/MemberReportIntelligence/list',
    method: 'get',
    params: query
  })
}

// 查询用户智能志愿报告详细
export function getMemberReportIntelligence(reportId) {
  return request({
    url: '/mall/MemberReportIntelligence/' + reportId,
    method: 'get'
  })
}

// 新增用户智能志愿报告
export function addMemberReportIntelligence(data) {
  return request({
    url: '/mall/MemberReportIntelligence',
    method: 'post',
    data: data
  })
}

// 修改用户智能志愿报告
export function updateMemberReportIntelligence(data) {
  return request({
    url: '/mall/MemberReportIntelligence',
    method: 'put',
    data: data
  })
}

// 删除用户智能志愿报告
export function delMemberReportIntelligence(reportId) {
  return request({
    url: '/mall/MemberReportIntelligence/' + reportId,
    method: 'delete'
  })
}
